Public Class CPersona
  Private m_foto As String
  Private m_nombre As String
  Private m_direccion As String
  Private m_telefono As String
  Private es_movil As Boolean

  Public Sub New(Optional f As String = Nothing, Optional n As String = Nothing, Optional d As String = Nothing, Optional t As String = Nothing, Optional m As Boolean = False)
    m_foto = f
    m_nombre = n
    m_direccion = d
    m_telefono = t
    es_movil = m
  End Sub

  Public Property Foto() As String
    Get
      Return m_foto
    End Get
    Set(value As String)
      m_foto = value
    End Set
  End Property

  Public Property Nombre() As String
    Get
      Return m_nombre
    End Get
    Set(value As String)
      m_nombre = value
    End Set
  End Property

  Public Property Direccion() As String
    Get
      Return m_direccion
    End Get
    Set(value As String)
      m_direccion = value
    End Set
  End Property

  Public Property Telefono() As String
    Get
      Return m_telefono
    End Get
    Set(value As String)
      m_telefono = value
    End Set
  End Property

  Public Property EsMovil() As Boolean
    Get
      Return es_movil
    End Get
    Set(value As Boolean)
      es_movil = value
    End Set
  End Property
End Class

